<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>findparam</title>
</head>
<body bgcolor="#FFFFFF">
<center>Scilab Function  </center>
<div align="right">Last update : 02/02/2005</div>
<p><b>findparam</b> -  utility function for fsqp solver  </p>
<h3><font color="blue">Calling Sequence</font></h3>
<dl><dd><tt>[nf,nineqn,nineq,neqn,neq,nfsr,ncsrl,ncsrn,mesh_pts,nf0,ng0,nc0,nh0,na0]=findparam(list_obj,list_cntr,x0)  </tt></dd></dl>
<h3><font color="blue">Parameters</font></h3>
<ul>
<li>
<tt><b>list_objs  </b></tt>
    : list made of two lists.
  </li>
<li>
<tt><b>list_cntr  </b></tt>
    : list made of six lists.
  </li>
<li>
<tt><b>x0  </b></tt>
    : real column vector (e.g. initial guess)
  </li>
<li>
<tt><b>nf, ..., ncsrn  </b></tt>
    : integers (see fsqp-doc).
  </li>
<li>
<tt><b>mesh_pts  </b></tt>
    : real vector.
  </li>
</ul>
<h3><font color="blue">Description</font></h3>
<p>
    Given a list of objective functions and a list of constraints
    functions, and a vector x0, findparam returns useful fsqp
    parameters.
    The list of objectives should be: (use empty list when necessary: list() )
  </p>
<pre>
list_obj=list(...
               list(f_1,...,f_nf0),...     //regular objectives
        list(F_1,...,F_nfsr)        //SR objectives
              )
   </pre>
<p>
    The f_i's are functions: y=f_i(x) should return the value of the ith
    regular objective as a function of x. y can be a column vector if
    several regular objectives are stacked together.
    y=F_i(x) is the ith sequentially related objective. y is a column
    vector which contains the ith set of SR-objectives (mesh_pts(i) is
    set to size(F_i(x),1) by findparam).
  </p>
<p>
    The list of constraints functions should be as follows:
  </p>
<pre>
list_cntr=list(...
 list(g_1,...,g_ng0),...     //regular nonlinear inequality
        list(G_1,...,G_ncsrn),...   //SR      nonlinear inequality
        list(c_1,...,c_nc0),...     //regular linear    inequality
        list(C_1,...,C_ncsrl),...   //SR      linear    inequality
        list(h_1,...,h_nh0),...     //nonlinear         equality
        list(A_1,...,A_na0)         //linear            equality
             )
   </pre>
<p>
    Functions g_i's, c_i's, h_1 can return column vectors y (e.g. y=g_1(x)) 
    if several constraints are stacked together.
    Functions G_i's, C_i's, A_i's should return in a column vector the
    set of appropriate SR constraints.
    Examples are given at the end of examplei.sce files. See
    listutils.sci: generic functions obj, cntr, grob, grcn are constructed
    from the lists list_obj, list_cntr, and similar lists list_grobj
    and list_cntr which contain the gradients of objectives and constraints
    (matrices whith nparam=dim(x) columns).
  </p>
<h3><font color="blue">See Also</font></h3>
<p><a href=""><tt><b>srfsqp</b></tt></a>,&nbsp;&nbsp;<a href="x_is_new.htm"><tt><b>x_is_new</b></tt></a>,&nbsp;&nbsp;<a href=""><tt><b>set_x_is_new</b></tt></a>,&nbsp;&nbsp;</p>
</body>
</html>
